> ![MikroE](http://www.mikroe.com/img/designs/beta/logo_small.png)
> #COLOR2 Click#
> ##By [MikroElektronika](http://www.mikroe.com)
---

## Installation
Use the package manager to install the library for your architecture.

###Example
```
#include <color2_hw.h>
unsigned int TFT_DataPort at GPIOE_ODR;
sbit TFT_RST at GPIOE_odr.B8;
sbit TFT_RS at GPIOE_odr.B12;
sbit TFT_CS at GPIOE_odr.B15;
sbit TFT_RD at GPIOE_odr.B10;
sbit TFT_WR at GPIOE_odr.B11;
sbit TFT_BLED at GPIOE_odr.B9;

unsigned int temp;
unsigned int red_val;
unsigned int green_val;
unsigned int blue_val;
unsigned int color;
char txt[10];

void Display_Init(){
  TFT_Init_ILI9341_8bit(320, 240);
  TFT_Set_Pen(CL_BLACK, 1);
  TFT_Set_Font(TFT_defaultFont, CL_WHITE, FO_HORIZONTAL);
  TFT_Fill_Screen(CL_Blue);
}

```

```
void main()
{
  Display_Init();
  delay_ms(1000);
  I2C1_Init_Advanced(100000, &_GPIO_MODULE_I2C1_PB67);
  temp = color2_Init ( void );
  inttostr(temp,txt);
  TFT_Write_Text(txt, 10,10);
  delay_ms(3000);
  while (1)
  {
  red_val = color2_read_red();
  green_val = color2_read_green();
  blue_val = color2_read_blue();
  color= TFT_RGBToColor16bit(red_val,green_val, blue_val);
  tft_fill_screen(color);
  delay_ms(500);
  }
}
```
